
#include "main.h"

int in = 0;
void main()
{
  BspInit();
  TimerInit();
  GpioInit();
  LedInit();
  CanInit();

  
  
  int cnt = 0;
  while(1)
  {
    /* Timer Tick 50ms */
    if(bsp->Timer0){
      bsp->ResetTimer0();
      if(++cnt==10){
        cnt=0;
        
      }
      
      /* Switch (4ch)*/
      /* Up == 1, Down == 0 */
      /* GPIO_Pin_9 -> SW1  */
      in = GPIO_ReadInputDataBit(GPIOB, GPIO_Pin_9);
      if(in==0){
        /* Can Transmit */
        unsigned char buf[8] = { cnt, 0 };
        CanSend(0x32,buf,1);
      }
    }
    
    if(can->Intr0){
      
      can->ResetIntr0();
      if((can->RxMessage->StdId==0x0031) && 
         (can->RxMessage->IDE==CAN_ID_STD)&& 
         (can->RxMessage->DLC==1))
      {
        if(can->RxMessage->Data[0]==0x01)
        {
          /* NOP */
        }
        LedToggle();
      }
    }
    
  }
}

