
#include "main.h"


void main()
{
  SystemInit();
  
  /* System Core Clock => 28.8MHz */
  SystemCoreClockUpdate();
  
  /* Custom Clock => 144MHz, for CAN */
  UserClockSetting();
  
  BspInit();
  TimerInit();
  LedInit();
  CanInit();
  
  int cnt = 0;
  while(1)
  {
   if(bsp->Timer0){
     bsp->ResetTimer0();
     if(++cnt==10){
       cnt=0;
     }
     
     unsigned char buf[8] = { cnt, 0 };
     CanSend(0x31, buf, 1);
     Led1Toggle();
   }
   if(can->Intr0){
      
      can->ResetIntr0();
      if((can->RxMessage->StdId==0x0032) && 
         (can->RxMessage->IDE==CAN_ID_STD)&& 
         (can->RxMessage->DLC==1))
      {
        if(can->RxMessage->Data[0]==0x01)
        {
          /* NOP */
        }
        Led0Toggle();
      }
    }
  } 
}

